#[serial_test::serial]
#[tokio::test]
async fn test_delete_204_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .guide()
        .delete(sideko_rest_api::resources::doc::version::guide::DeleteRequest {
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
            guide_id: "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_list_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .guide()
        .list(sideko_rest_api::resources::doc::version::guide::ListRequest {
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_get_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .guide()
        .get(sideko_rest_api::resources::doc::version::guide::GetRequest {
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
            guide_id: "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_get_content_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .guide()
        .get_content(sideko_rest_api::resources::doc::version::guide::GetContentRequest {
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
            guide_id: "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_patch_200_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .guide()
        .patch(sideko_rest_api::resources::doc::version::guide::PatchRequest {
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
            guide_id: "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ..Default::default()
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_create_201_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .guide()
        .create(sideko_rest_api::resources::doc::version::guide::CreateRequest {
            content: "string".to_string(),
            is_parent: true,
            nav_label: "string".to_string(),
            slug: "string".to_string(),
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
            ..Default::default()
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_reorder_200_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .guide()
        .reorder(sideko_rest_api::resources::doc::version::guide::ReorderRequest {
            data: vec![
                sideko_rest_api::models::ReorderGuide { id :
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(), order : 123,
                ..Default::default() }
            ],
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
